<IfModule mod_rewrite.c>

# 开启URL重写
RewriteEngine On

# URL重写的作用域
# RewriteBase / 

# http 跳转到 https
# RewriteCond %{SERVER_PORT} !^443$
# RewriteRule ^.*$ https://%{SERVER_NAME}%{REQUEST_URI} [L,R=301]

# 不带www跳转到带www（otcms 改为自己的域名即可）
# RewriteCond %{HTTP_HOST} ^otcms\.com$ [NC]
# RewriteRule ^(.*)$ http://www.otcms.com/$1 [L,R=301]

# 子目录域名绑定（把 1、6 行 m.otcms.com 改为你要绑定的手机版域名）
RewriteCond %{HTTP_HOST} ^(www.)?m.otcms.com$ 
RewriteCond %{REQUEST_URI} !^/wap/ 
RewriteCond %{REQUEST_FILENAME} !-f 
RewriteCond %{REQUEST_FILENAME} !-d 
RewriteRule ^(.*)$ /wap/$1 
RewriteCond %{HTTP_HOST} ^(www.)?m.otcms.com$ 
RewriteRule ^(/)?$ wap/ [L] 


# 屏蔽掉一些目录执行权限
RewriteCond % !^$ 
RewriteRule cache/(.*).(php)$ – [F]
RewriteRule tools/(.*).(php)$ – [F]
RewriteRule upFiles/(.*).(php)$ – [F]
RewriteRule wap/cache/(.*).(php)$ – [F]

# 专门用来检测是否支持伪静态（不要删除）
RewriteRule ^readSoft.html$ readSoft.php

# *** 程序自动生成区 START (请勿删除该行) ***
# *** 程序自动生成区 END (请勿删除该行) ***

</IfModule>
